import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:ongbut_ntmanh/res/images/images.dart';
import 'package:ongbut_ntmanh/widgets/widgets_util.dart';

import 'app.dart';
import 'const/app_theme.dart';
import 'const/colors.dart';

class LauncherPage extends StatelessWidget {
  const LauncherPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColors.background,
      body:
      InkWell(
        onTap: (){
          Navigator.push(context, MaterialPageRoute(builder: (_) => const Application()));},
        child:
        Center(
          child: SizedBox(
            height: 300,
            child: Column(
              children: [
                Image.asset(Images.logo, width: 200, height: 100),
                NeoText('TẬN TÂM - TRÁCH NHIỆM',textStyle: AppTheme.textStyleLexendBold(fontSize: 18), textAlign: TextAlign.left,maxLine: 1),
                const SizedBox(height: 8,),
                NeoText('CHẮP CÁNH - TƯƠNG LAI',textStyle: AppTheme.textStyleLexendBold(fontSize: 18), textAlign: TextAlign.left,maxLine: 1),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
